<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Hall Of Fame
| Version: v2.00
| Author: Sebastian Schssler (slaughter)
| Download: http://basti2web.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

require_once INFUSIONS."hall_of_fame_panel/infusion_db.php";

if (file_exists(INFUSIONS."hall_of_fame_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."hall_of_fame_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."hall_of_fame_panel/locale/German.php";
}

require_once INFUSIONS."hall_of_fame_panel/hof_include.php";


opentable($locale['hof_102']);


$result_A = dbquery("SELECT * FROM ".DB_HOF_SETTINGS." WHERE hof_active = '1' ORDER BY hof_order");
	if (dbrows($result_A) != 0) {
		while($data_A = dbarray($result_A)) {
			$hof_show = $data_A['hof_show'];
			$hof_name = $data_A['hof_name'];
			$hof_title = $data_A['hof_title'];

switch ($hof_name) {

case "Posts":
hof_posts($hof_show, $hof_title);       
break;

case "Threads":
hof_threads($hof_show, $hof_title);       
break;

case "News":
hof_news($hof_show, $hof_title);     
break;

case "Articles":
hof_articles($hof_show, $hof_title);       
break;

case "Photos":
hof_photos($hof_show, $hof_title);    
break;

case "Downloads":
hof_pdp_downloads($hof_show, $hof_title);  
break;

case "Events":
hof_event($hof_show, $hof_title); 
break;

case "Rezepte":
hof_rezept($hof_show, $hof_title); 
break;

case "Witze":
hof_witz($hof_show, $hof_title); 
break;

default:
echo "unknown error";
break;
}

}
}

echo "<br /><div class='small' align='right'>Code by <a href='http://basti2web.de' target='_blank'>basti2web.de</a></div>";

closetable();


require_once THEMES."templates/footer.php";
?>