<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Hall Of Fame
| Version: v2.00
| Author: Sebastian Schssler (slaughter)
| Download: http://basti2web.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION") || !checkrights("I")) { die("Access Denied"); }

require_once INFUSIONS."hall_of_fame_panel/infusion_db.php";

if (file_exists(INFUSIONS."hall_of_fame_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."hall_of_fame_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."hall_of_fame_panel/locale/German.php";
}

// Infusion general information
$inf_title = $locale['hof_100'];
$inf_description = $locale['hof_101'];
$inf_version = "2.00";
$inf_developer = "Sebastian Schssler (slaughter) http://basti2web.de";
$inf_email = "";
$inf_weburl = "http://basti2web.de";

$inf_folder = "hall_of_fame_panel";

$inf_adminpanel[1] = array(
	"title" => $locale['hof_100'],
	"image" => "infusion_panel.gif",
	"panel" => "hof_admin.php",
	"rights" => "HOF"
);


$inf_sitelink[1] = array(
	"title" => $locale['hof_102'],
	"url" => "hall_of_fame.php",
	"visibility" => "0"
);

$inf_newtable[1] = DB_HOF_SETTINGS." (
hof_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
hof_name VARCHAR(100) NOT NULL DEFAULT '',
hof_show SMALLINT(2) UNSIGNED NOT NULL DEFAULT '0',
hof_active SMALLINT(2) UNSIGNED NOT NULL DEFAULT '0',
hof_order SMALLINT(2) UNSIGNED NOT NULL DEFAULT '0',
hof_title VARCHAR(100) NOT NULL DEFAULT '',
PRIMARY KEY (hof_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_HOF_SETTINGS." (hof_name, hof_show, hof_active, hof_order, hof_title) VALUES ('Posts', '10', '1', '1', '".$locale['hof_post']."')";
$inf_insertdbrow[2] = DB_HOF_SETTINGS." (hof_name, hof_show, hof_active, hof_order, hof_title) VALUES ('Threads', '5', '1', '2', '".$locale['hof_thrd']."')";
$inf_insertdbrow[3] = DB_HOF_SETTINGS." (hof_name, hof_show, hof_active, hof_order, hof_title) VALUES ('Articles', '3', '1', '3', '".$locale['hof_arti']."')";
$inf_insertdbrow[4] = DB_HOF_SETTINGS." (hof_name, hof_show, hof_active, hof_order, hof_title) VALUES ('News', '3', '1', '4', '".$locale['hof_news']."')";
$inf_insertdbrow[5] = DB_HOF_SETTINGS." (hof_name, hof_show, hof_active, hof_order, hof_title) VALUES ('Photos', '3', '1', '5', '".$locale['hof_phot']."')";
$inf_insertdbrow[6] = DB_HOF_SETTINGS." (hof_name, hof_show, hof_active, hof_order, hof_title) VALUES ('Downloads', '3', '0', '6', '".$locale['hof_down']."')";
$inf_insertdbrow[7] = DB_HOF_SETTINGS." (hof_name, hof_show, hof_active, hof_order, hof_title) VALUES ('Events', '5', '0', '7', '".$locale['hof_even']."')";

//$inf_insertdbrow[8] = DB_HOF_SETTINGS." ( hof_name, hof_show, hof_active, hof_order, hof_title) VALUES ('Rezepte', '5', '0', '8', '".$locale['hof_rec']."')";
//$inf_insertdbrow[9] = DB_HOF_SETTINGS." ( hof_name, hof_show, hof_active, hof_order, hof_title) VALUES ('Witze', '5', '0', '8', '".$locale['hof_witz']."')";

$inf_droptable[1] = DB_HOF_SETTINGS;

?>