<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Hall Of Fame
| Version: v2.00
| Author: Sebastian Schssler (slaughter)
| Download: http://basti2web.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."hall_of_fame_panel/infusion_db.php";


include LOCALE.LOCALESET."admin/sitelinks.php";

if (!checkrights("HOF") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (isset($_GET['hof_id']) && isnum($_GET['hof_id'])) { $hof_id = $_GET['hof_id']; } else { $hof_id = 0; }

if (isset($_GET['order'])) { $order = stripinput($_GET['order']); } else { $order = 0; }

if (isset($_GET['action'])) { $action = $_GET['action']; } else { $action = ""; }

if (file_exists(INFUSIONS."hall_of_fame_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."hall_of_fame_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."hall_of_fame_panel/locale/German.php";
}

require_once INFUSIONS."hall_of_fame_panel/hof_functions.php";

opentable($locale['hof_300']);
$ausgabe = "";
    if(function_exists('fsockopen'))
    {
      $version_new = latest_hof_version();
      if($version_new == hof_version)
      {
	  $ausgabe .= "<table><tr><td><img src=\"images/version.gif\"></td>";
        $ausgabe .= "<td><span style=\"font-weight: bold; color: #1bdc16;\">".$locale['hof_303'].": ".hof_version."</span></td></tr></table>";
        $ausgabe .= "";
      } else {
        if (!empty($version_new)) 
        {
	$ausgabe .= "<table><tr><td><img src=\"images/version_old.gif\"></td><td>";
	$ausgabe .= "<span style=\"font-weight: bold; color: red;\">".$locale['hof_301'].": ".hof_version."</span><br />";
	$ausgabe .= "<span style=\"font-weight: bold; color: #1bdc16;\">".$locale['hof_302'].": ".$version_new."</span><br />";
	$ausgabe .= "<span style=\"font-weight: bold; \">".$locale['hof_305'].": </span><a href=\"http://basti2web.de\" target=\"_blank\" title=\"www.basti2web.de\"><span style=\"font-weight: bold; \">http://basti2web.de</span></a>";
	$ausgabe .= "</td></tr></table>";
       }
      }
    } 
	if (empty($version_new)) {
	$ausgabe .= "<br />".$locale['hof_307']."!<br />";
	$ausgabe .= $locale['hof_306']." <a href=\"http://basti2web.de\" target=\"_blank\" title=\"www.basti2web.de\"><span style=\"font-weight: bold; \">http://basti2web.de</span></a><br /><br />";
    }

echo "<div align='left' cellpadding='0' cellspacing='1' width='100%'>".$ausgabe."</div>";

closetable();


if ($action == "refresh") {
	$i = 1;
	$result = dbquery("SELECT * FROM ".DB_HOF_SETTINGS." ORDER BY hof_order");
	while ($data = dbarray($result)) {
		$result2 = dbquery("UPDATE ".DB_HOF_SETTINGS." SET hof_order='$i' WHERE hof_id='".$data['hof_id']."'");
		$i++;
	}
	redirect(FUSION_SELF.$aidlink);
} elseif ($action == "moveup") {
	$data = dbarray(dbquery("SELECT * FROM ".DB_HOF_SETTINGS." WHERE hof_order='$order'"));
	$result = dbquery("UPDATE ".DB_HOF_SETTINGS." SET hof_order=hof_order+1 WHERE hof_id='".$data['hof_id']."'");
	$result = dbquery("UPDATE ".DB_HOF_SETTINGS." SET hof_order=hof_order-1 WHERE hof_id='$hof_id'");
	redirect(FUSION_SELF.$aidlink);
} elseif ($action == "movedown") {
	$data = dbarray(dbquery("SELECT * FROM ".DB_HOF_SETTINGS." WHERE hof_order='$order'"));
	$result = dbquery("UPDATE ".DB_HOF_SETTINGS." SET hof_order=hof_order-1 WHERE hof_id='".$data['hof_id']."'");
	$result = dbquery("UPDATE ".DB_HOF_SETTINGS." SET hof_order=hof_order+1 WHERE hof_id='$hof_id'");
	redirect(FUSION_SELF.$aidlink);
} else {
	if (isset($_POST['hof_save'])) {
		$hof_name = stripinput($_POST['hof_name']);
		$hof_show = isNum($_POST['hof_show']) && ($_POST['hof_show']) > 0 ? $_POST['hof_show'] : "1";
		$hof_active = $_POST['hof_active'] == 1 ? "1" : "0";
		$hof_title = stripinput($_POST['hof_title']);
		
		if ($action == "edit") {
			$result = dbquery("UPDATE ".DB_HOF_SETTINGS." SET hof_show='$hof_show', hof_active='$hof_active', hof_title='$hof_title' WHERE hof_id='$hof_id'");
			redirect(FUSION_SELF.$aidlink);
		}
/*		 else {
			if(!$hof_order) $hof_order=dbresult(dbquery("SELECT MAX(hof_order) FROM ".DB_HOF_SETTINGS),0)+1;
			$result = dbquery("UPDATE ".DB_HOF_SETTINGS." SET hof_order=hof_order+1 WHERE hof_order>='$hof_order'");	
			$result = dbquery("INSERT INTO ".DB_HOF_SETTINGS." (hof_name, hof_show, hof_order) VALUES ('$hof_name', '$hof_show', '$hof_order')");
			redirect(FUSION_SELF.$aidlink);
		}
*/
	}
	if ($action == "edit") {
		$result = dbquery("SELECT * FROM ".DB_HOF_SETTINGS." WHERE hof_id='$hof_id'");
		$data = dbarray($result);
		$hof_name = $data['hof_name'];
		$hof_show = $data['hof_show'];
		$hof_active = $data['hof_active'];
		$hof_order = $data['hof_order'];
		$hof_title = $data['hof_title'];
		$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;hof_id=".$data['hof_id'];
		opentable($locale['hof_206']);

$hof_active_0 = ""; $hof_active_1 = "";
if ($hof_active == "1") { $hof_active_1 = "checked='checked'"; } else { $hof_active_0 = "checked='checked'"; };

echo "<form name='hofform' method='post' action='$formaction'>
<table align='center' cellpadding='0' cellspacing='0'>
<tr>
<td class='tbl'>".$locale['hof_205']."</td>
<td class='tbl'><input type='text' readonly='readonly' name='hof_name' value='$hof_name' maxlength='100' class='textbox' style='width:240px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['hof_203']."</td>
<td class='tbl'>
<input type='radio' name='hof_active' value='1' ".$hof_active_1."> ".$locale['hof_201']."  | <input type='radio' name='hof_active' value='0' ".$hof_active_0."> ".$locale['hof_202']."
</td>
<tr>
<td class='tbl'>".$locale['hof_204']."</td>
<td class='tbl'><input type='text' name='hof_show' value='$hof_show' maxlength='200' class='textbox' style='width:240px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['hof_214']."</td>
<td class='tbl'><input type='text' name='hof_title' value='$hof_title' maxlength='200' class='textbox' style='width:240px;'></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'>
<input type='submit' name='hof_save' value='".$locale['hof_207']."' class='button'></td>
</tr>
</table>
</form>\n";
closetable();
	
} 
	
	opentable($locale['hof_200']);
	echo "<table align='center' cellpadding='0' cellspacing='1' width='450' class='tbl-border'>
<tr>
<td class='tbl2'><b>".$locale['hof_208']."</b></td>
<td align='center' width='8%' class='tbl2' style='white-space:nowrap'><b>".$locale['hof_209']."</b></td>
<td align='center' width='8%' class='tbl2' style='white-space:nowrap'><b>".$locale['hof_210']."</b></td>
<td align='center' colspan='2' width='8%' class='tbl2' style='white-space:nowrap'><b>".$locale['hof_211']."</b></td>
<td align='center' width='8%' class='tbl2' style='white-space:nowrap'><b>".$locale['hof_212']."</b></td>
</tr>\n";
	$result = dbquery("SELECT * FROM ".DB_HOF_SETTINGS." ORDER BY hof_order");
	if (dbrows($result) != 0) {
		$i = 0; $k = 1;
		while($data = dbarray($result)) {
		if($data['hof_active'] == "1") { $hof_active_d = $locale['hof_201']; } else { $hof_active_d = $locale['hof_202']; }

			echo "<tr>\n<td class='tbl1'>";
			 
			echo "<img src='".THEME."images/bullet.gif' alt=''> ".$data['hof_name']."\n";

			echo "</td>
<td align='center' width='8%' class='tbl1' style='white-space:nowrap'>".$hof_active_d."</td>
<td align='center' width='8%' class='tbl1' style='white-space:nowrap'>".$data['hof_show']."</td>
<td align='center' width='5%' class='tbl2' style='white-space:nowrap'>".$data['hof_order']."</td>
<td align='center' width='11%' class='tbl1' style='white-space:nowrap'>\n";
			if (dbrows($result) != 1) {
				$up = $data['hof_order'] - 1;
				$down = $data['hof_order'] + 1;
				if ($k == 1) {
					echo "<a href='".FUSION_SELF.$aidlink."&amp;action=movedown&amp;order=$down&amp;hof_id=".$data['hof_id']."'><img src='".THEME."images/down.gif' alt='".$locale['451']."' title='".$locale['453']."' style='border:0px;'></a>\n";
				} elseif ($k < dbrows($result)) {
					echo "<a href='".FUSION_SELF.$aidlink."&amp;action=moveup&amp;order=$up&amp;hof_id=".$data['hof_id']."'><img src='".THEME."images/up.gif' alt='".$locale['450']."' title='".$locale['452']."' style='border:0px;'></a>\n";
					echo "<a href='".FUSION_SELF.$aidlink."&amp;action=movedown&amp;order=$down&amp;hof_id=".$data['hof_id']."'><img src='".THEME."images/down.gif' alt='".$locale['451']."' title='".$locale['453']."' style='border:0px;'></a>\n";
				} else {
					echo "<a href='".FUSION_SELF.$aidlink."&amp;action=moveup&amp;order=$up&amp;hof_id=".$data['hof_id']."'><img src='".THEME."images/up.gif' alt='".$locale['450']."' title='".$locale['452']."' style='border:0px;'></a>\n";
				}
			}
			$k++;
echo "</td>
<td align='center' width='1%' class='tbl1' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;hof_id=".$data['hof_id']."'>".$locale['hof_213']."</a></td>
</tr>\n";
		}
	} else {
		echo "<tr>\n<td align='center' colspan='4' class='tbl1'>".$locale['446']."</td>\n</tr>\n";
	}
	if (dbrows($result)) echo "<tr>\n<td align='center' colspan='6' class='tbl1'>[ <a href='".FUSION_SELF.$aidlink."&amp;action=refresh'>".$locale['454']."</a> ]</td>\n</tr>\n";
	echo "</table>\n";


closetable();
opentable($locale['hof_400']);
echo $locale['hof_401'];
echo "<br /><br />";
if($hof_pds) { echo "<i>".$locale['hof_402']."</i>"; } else { echo "<i>".$locale['hof_403']."</i>"; }
echo "<br />";
if($hof_cal) { echo "<i>".$locale['hof_404']."</i>"; } else { echo "<i>".$locale['hof_405']."</i>"; }
echo "<br /><br />&copy; Copyright 2007-2008 by <a href='http://basti2web.de' target='_blank'>basti2web.de</a>";
closetable();
}
require_once THEMES."templates/footer.php";
?>